Subject: (No Subject)

From: Maya <[email-masked]>
Date: Mon, 18 Apr 2022 16:28:51 +0000

> > > Here too I would suggest @code{nano-theme} or this-theme.
> > It sounds better. However does it matter that it now will not match
> > guix package name but match the emacs package name?
> That's fine imo.  IIUC nano-theme would be a feature that you can
> (require), no?
Yes it is a emacs package of that name. You also then load-theme it, so I guess it's fine.

> > > "It is recommended to use a font with programming ligatures, such
> > > as @code{font-google-roboto}".  On that note, does Roboto have
> > > programming ligatures?
> > It sadly does not. But Roboto Mono Nerd is not packaged for guix and
> > I haven't checked the license on their assets yet. I believe that
> > Roboto Mono is recommended as a aesthetic matching font.
> Last time I checked, Nerd fonts were a special kind of mess that's
> difficult to disentangle and more difficult to check licenses on.  I
> wouldn't bother too hard.
It looks like it. I didn't felt comfortable packaging it as it looked like they automatically download copyrighted content.

> Is the recommendation important in your opinion?
There is kind of a problem with that. The nano-theme package also provides a method of setting other not theme-related functionality under the nano-mode function. But that function prints an error if Roboto Mono Nerd isn't present on the system. (but does not fail)

As for the recommendation of the Roboto Mono itself, I don't know. The nano packages are all about aesthetics. And the theme optionally sets faces to Roboto (or Fira Code as a fallback font). Weirdly enough, the code also sets some faces to Victor Mono, but there is no mention of that in the package description.

The longer I'm looking at the code, the weirder it gets. It seems like it's not only a them per-se. But rather a visual style that kind-of breaks the borders of normal emacs theme.

Best,
Maya